
;-Definizione della struttura dati----------------------------------------------------------------------

cmp_signal_data_rec = $

      ; Campi dati
    { mat_data_intern_var_list : mat_data_intern_var_list , $    ; -> Matrice(n_batch,n_puls) di INT
      etichette_intern_var_list : etichette_intern_var_list , $  ; -> Vettore(num_variabili) di STRING
      unit_intern_var_list : unit_intern_var_list , $            ; -> Vettore(num_variabili) di STRING

       ; Campi segnale
      morc : morc , $                                            ; -> Vettore(n_batch) di INT
      vett_info_signal : dim_batches , $                         ; -> Matrice(2,n_batch) di LONG
      puntatore : puntatore , $                                  ; -> Vettore(n_batch) di LONG
      segnale : segnale $                                        ; -> Vettore(?) di INT
    }
;-------------------------------------------------------------------------------------------------------